Subject: bug#4032: 23.1; Minor inconvenience in toolbar implementation (perhaps only on Windows?)

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 02 Oct 2019 13:50:59 +0200

Eli Zaretskii <[email-masked]> writes:

> We don't redraw the tool bar unnecessarily, because that would cause
> flickering.  In my case, I needed to do "C-x b" to see the updated
> tool bar.

I see, then the situation is unchanged since the user made the bug report.

> If this is a problem, I will have to see a real-life use
> case where it happens and matters.

The original bug report is a bit vague on the use case, but I think
perhaps they mean that they have modes that put a lot of entries in the
tool bar, and those aren't shown until you "do something"?

> Hello, I have the habit of attaching some commands to toolbar icons,
> thereby achieving one click functionality. It is thus that I have
> noticed the following difference between Emacs 22.3 and Emacs 23.1:
> After attaching some toolbar commands to a certain file name, I visit
> that file. In Emacs 22.3 all additional icons are placed on the toolbar
> (if icons won't fit on the toolbar line, a new line is created), and one
> can do whatever one likes with the file. In Emacs 23.1, however, if an
> additional toolbar line is needed, the icons are not placed on the
> toolbar until one "does something" with the file (e.g. moves the
> slider). In my view the fact that something has to be done for the
> toolbar icons to appear is an inconvenience.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no